Public Attributes | List of all members
iso_cb_fun_t Struct Reference
BLE » Core Isochronous Channels » Structures

The parameter for set cig parameter complete event. More...

`#include <ble_iso.h>`

## Public Attributes
void(* | iso_sdu_rcv_cb )(iso_hci_data_t *data_info)
| The callback for receving iso sdu. More...
void(* | iso_sdu_send_cb )(iso_hci_data_t *data_info)
| The callback for sending iso sdu. More...
void(* | iso_cis_est_evt_cb )(iso_cis_est_evt_t *evt)
| The callback for receving cis established event. More...
void(* | iso_cis_req_evt_cb )(iso_cis_req_evt_t *evt)
| The callback for receving a request to establish a CIS from the master. More...
void(* | iso_cis_disc_ind_cb )(iso_cis_disc_evt_t *evt)
| The callback for cis disconnect. More...
void(* | iso_create_big_cmpl_evt_cb )(iso_create_big_cmpl_evt_t *evt)
| The callback for receving create big complete event. More...
void(* | iso_termi_big_cmpl_evt_cb )(iso_termi_big_cmpl_evt_t *evt)
| The callback for receving terminate big complete event. More...
void(* | iso_big_create_sync_est_evt_cb )(iso_big_create_sync_est_evt_t *evt)
| The callback for receving big create sync established event. More...
void(* | iso_big_sync_lost_evt_cb )(iso_big_sync_lost_evt_t *evt)
| The callback for receving big lost event. More...
void(* | iso_big_info_report_evt_cb )(iso_big_info_report_evt_t *evt)
| The callback for receving big info report event. More...
void(* | iso_req_peer_sca_cmpl_evt_cb )(iso_req_peer_sca_cmpl_evt_t *evt)
| The callback for receving request peer sca complete event. More...
void(* | iso_read_iso_tx_sync_cmpl_evt_cb )(iso_read_iso_tx_sync_cmpl_evt_t *evt)
| The callback for read iso tx sync complete event. More...
void(* | iso_set_cig_param_cmpl_evt_cb )(iso_set_cig_param_cmpl_evt_t *evt)
| The callback for set cig parameter complete event. More...
void(* | iso_rm_cig_cmpl_evt_cb )(uint8_t status, uint8_t cig_id)
| The callback for remove cig complete event. More...
void(* | iso_reject_cis_req_cmpl_evt_cb )(uint8_t status, uint16_t cis_hdl)
| The callback for reject cis request complete event. More...
void(* | iso_set_data_path_cmpl_evt_cb )(uint8_t status, uint16_t con_hdl)
| The callback for set data path complete event. More...
void(* | iso_rm_data_path_cmpl_evt_cb )(uint8_t status, uint16_t con_hdl)
| The callback for remove data path complete event. More...
void(* | iso_temi_big_sync_cmpl_evt_cb )(uint8_t status)
| The callback for teminate big sync complete event. More...
void(* | iso_set_data_path_trigger_cmpl_evt_cb )(uint8_t status)
| The callback for teminate big sync complete event. More...
void(* | iso_cmd_status_evt_cb )(uint16_t op_code, uint8_t status)
| The callback for cmd status. More...

## Detailed Description

The parameter for set cig parameter complete event.

The callback for iso.

Definition at line 616 of file ble_iso.h.

## Member Data Documentation

## ◆ iso_big_create_sync_est_evt_cb

void(* iso_cb_fun_t::iso_big_create_sync_est_evt_cb) (iso_big_create_sync_est_evt_t *evt)

The callback for receving big create sync established event.

Definition at line 632 of file ble_iso.h.

## ◆ iso_big_info_report_evt_cb

void(* iso_cb_fun_t::iso_big_info_report_evt_cb) (iso_big_info_report_evt_t *evt)

The callback for receving big info report event.

Definition at line 636 of file ble_iso.h.

## ◆ iso_big_sync_lost_evt_cb

void(* iso_cb_fun_t::iso_big_sync_lost_evt_cb) (iso_big_sync_lost_evt_t *evt)

The callback for receving big lost event.

Definition at line 634 of file ble_iso.h.

## ◆ iso_cis_disc_ind_cb

void(* iso_cb_fun_t::iso_cis_disc_ind_cb) (iso_cis_disc_evt_t *evt)

The callback for cis disconnect.

Definition at line 626 of file ble_iso.h.

## ◆ iso_cis_est_evt_cb

void(* iso_cb_fun_t::iso_cis_est_evt_cb) (iso_cis_est_evt_t *evt)

The callback for receving cis established event.

Definition at line 622 of file ble_iso.h.

## ◆ iso_cis_req_evt_cb

void(* iso_cb_fun_t::iso_cis_req_evt_cb) (iso_cis_req_evt_t *evt)

The callback for receving a request to establish a CIS from the master.

Definition at line 624 of file ble_iso.h.

## ◆ iso_cmd_status_evt_cb

void(* iso_cb_fun_t::iso_cmd_status_evt_cb) (uint16_t op_code, uint8_t status)

The callback for cmd status.

Definition at line 656 of file ble_iso.h.

## ◆ iso_create_big_cmpl_evt_cb

void(* iso_cb_fun_t::iso_create_big_cmpl_evt_cb) (iso_create_big_cmpl_evt_t *evt)

The callback for receving create big complete event.

Definition at line 628 of file ble_iso.h.

## ◆ iso_read_iso_tx_sync_cmpl_evt_cb

void(* iso_cb_fun_t::iso_read_iso_tx_sync_cmpl_evt_cb) (iso_read_iso_tx_sync_cmpl_evt_t *evt)

The callback for read iso tx sync complete event.

Definition at line 640 of file ble_iso.h.

## ◆ iso_reject_cis_req_cmpl_evt_cb

void(* iso_cb_fun_t::iso_reject_cis_req_cmpl_evt_cb) (uint8_t status, uint16_t cis_hdl)

The callback for reject cis request complete event.

Definition at line 646 of file ble_iso.h.

## ◆ iso_req_peer_sca_cmpl_evt_cb

void(* iso_cb_fun_t::iso_req_peer_sca_cmpl_evt_cb) (iso_req_peer_sca_cmpl_evt_t *evt)

The callback for receving request peer sca complete event.

Definition at line 638 of file ble_iso.h.

## ◆ iso_rm_cig_cmpl_evt_cb

void(* iso_cb_fun_t::iso_rm_cig_cmpl_evt_cb) (uint8_t status, uint8_t cig_id)

The callback for remove cig complete event.

Definition at line 644 of file ble_iso.h.

## ◆ iso_rm_data_path_cmpl_evt_cb

void(* iso_cb_fun_t::iso_rm_data_path_cmpl_evt_cb) (uint8_t status, uint16_t con_hdl)

The callback for remove data path complete event.

Definition at line 650 of file ble_iso.h.

## ◆ iso_sdu_rcv_cb

void(* iso_cb_fun_t::iso_sdu_rcv_cb) (iso_hci_data_t *data_info)

The callback for receving iso sdu.

Definition at line 618 of file ble_iso.h.

## ◆ iso_sdu_send_cb

void(* iso_cb_fun_t::iso_sdu_send_cb) (iso_hci_data_t *data_info)

The callback for sending iso sdu.

Definition at line 620 of file ble_iso.h.

## ◆ iso_set_cig_param_cmpl_evt_cb

void(* iso_cb_fun_t::iso_set_cig_param_cmpl_evt_cb) (iso_set_cig_param_cmpl_evt_t *evt)

The callback for set cig parameter complete event.

Definition at line 642 of file ble_iso.h.

## ◆ iso_set_data_path_cmpl_evt_cb

void(* iso_cb_fun_t::iso_set_data_path_cmpl_evt_cb) (uint8_t status, uint16_t con_hdl)

The callback for set data path complete event.

Definition at line 648 of file ble_iso.h.

## ◆ iso_set_data_path_trigger_cmpl_evt_cb

void(* iso_cb_fun_t::iso_set_data_path_trigger_cmpl_evt_cb) (uint8_t status)

The callback for teminate big sync complete event.

Definition at line 654 of file ble_iso.h.

## ◆ iso_temi_big_sync_cmpl_evt_cb

void(* iso_cb_fun_t::iso_temi_big_sync_cmpl_evt_cb) (uint8_t status)

The callback for teminate big sync complete event.

Definition at line 652 of file ble_iso.h.

## ◆ iso_termi_big_cmpl_evt_cb

void(* iso_cb_fun_t::iso_termi_big_cmpl_evt_cb) (iso_termi_big_cmpl_evt_t *evt)

The callback for receving terminate big complete event.

Definition at line 630 of file ble_iso.h.

The documentation for this struct was generated from the following file:

- ble_iso.h